# $Revision: 1.7 $, $Date: 2010/11/15 10:17:44 $
%define pkgname rake
Summary:	Rake is a Make-like program implemented in Ruby
Name:		ruby-%{pkgname}
Version:	0.8.7
Release:	3
License:	MIT/X Consortium License
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	d9eb83525310ad1a0e8a3eeddfe3c65f
Group:		Development/Languages
URL:		http://rubyforge.org/projects/rake/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-rubygems
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Rake is a Make-like program implemented in Ruby. Tasks and
dependencies are specified in standard Ruby syntax.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}

%{__sed} -i -e 's|/usr/bin/env ruby|%{__ruby}|' bin/rake

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -f ri/created.rid
rm -rf ri/{CompositePublisher,FileUtils,Module,Ssh*,String,Sys,Test,Time}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_rubylibdir}/tasks,%{ruby_ridir},%{ruby_rdocdir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/rake
%dir %{ruby_rubylibdir}/tasks
%{ruby_rubylibdir}/rake.rb
%{ruby_rubylibdir}/rake

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Rake*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-rake.spec,v $
Revision 1.7  2010/11/15 10:17:44  pawelz
- release 3

Revision 1.6  2010/03/02 22:33:35  baggins
- tasks dir belongs here

Revision 1.5  2010/03/01 18:54:28  baggins
- kill foreign ri files

Revision 1.4  2010/03/01 18:51:02  baggins
- rel 1
- added ri package

Revision 1.3  2010/03/01 14:58:01  baggins
- R: rubygems

Revision 1.2  2010/02/28 13:44:37  baggins
- replice env with direct ruby invocation

Revision 1.1  2010/02/28 00:16:25  baggins
- initial revision

